jvx.loader

## Class PsExportInfo

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.loader.PsExportInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PsExportInfo
      extends PjWorkshop

  Store option information used when saving a geometry as file or image. When successfully saved a geometry file then the name of the file will appear as title of the current display frame.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FILE_FORMAT_BYU`
    `static int` | `FILE_FORMAT_DXF`
    `static int` | `FILE_FORMAT_EPS`
    `static int` | `FILE_FORMAT_FE`
    `static int` | `FILE_FORMAT_GIF`
    `static int` | `FILE_FORMAT_JPG`
    `static int` | `FILE_FORMAT_JVD`
    `static int` | `FILE_FORMAT_JVX`
    `static int` | `FILE_FORMAT_JVZ`
    `static int` | `FILE_FORMAT_MA`
    `static int` | `FILE_FORMAT_MGS`
    `static int` | `FILE_FORMAT_MPL`
    `static int` | `FILE_FORMAT_OBJ`
    `static int` | `FILE_FORMAT_OFF`
    `static int` | `FILE_FORMAT_PNG`
    `static int` | `FILE_FORMAT_PPM`
    `static int` | `FILE_FORMAT_PS`
    `static int` | `FILE_FORMAT_STL`
    `static int` | `FILE_FORMAT_U3D`
    `static int` | `FILE_FORMAT_WRL`
    `static int` | `FILE_SIZE_BOOK`
    `static int` | `FILE_SIZE_MED`
    `static int` | `FILE_SIZE_NTSC`
    `static int` | `FILE_SIZE_PAL`
    `static int` | `FILE_SIZE_SCRN`
    `static int` | `FILE_SIZE_SGL`
    `static int` | `FILE_SIZE_SML`
    `static int` | `FILE_SIZE_TINY`
    `static int` | `FILE_SIZE_USER`
    `static int` | `GEOM_DATA_AUTHOR`
    `static int` | `GEOM_DATA_COLORS`
    `static int` | `GEOM_DATA_HEADER`
    `static int` | `GEOM_DATA_INFO`
    `static int` | `GEOM_DATA_NORMALS`
    `static int` | `GEOM_DATA_TEXTURE`
    `static int` | `GEOM_DATA_VECTORS`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsExportInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PsAuthorInfo` | `getAuthorInfo()` Get author information.
    `java.lang.String` | `getBaseFileName()` Get base file name of saved file.
    `int[]` | `getDataFields()` Get array of all data fields which are currently offered to export.
    `java.lang.String` | `getDataName(int format)` Get 3-character extension of a given file format.
    `java.lang.String` | `getDirectory()` Get directory of saved file.
    `int[]` | `getExportedDataFields()` Get array of all data fields which are currently selected for export.
    `int[]` | `getExportedFiles()` Get array of files which are enabled for or have been exported by a user.
    `java.lang.String` | `getFileExtension(int format)` Get 3-character extension of a given file format.
    `PsGeometryInfo` | `getGeometryInfo()` Get geometry information.
    `int[]` | `getGeomFormat()` Get array of all geometry file formats which are currently offered to export.
    `int[]` | `getImageFormat()` Get array of all geometry file formats which are currently offered to export.
    `java.lang.String` | `getImageSuffix()` Get additional suffix of image files.
    `int` | `getImageType()` Get size type of image, like IMAGE_SIZE_SCRN.
    `PsJvzConfig` | `getJvzConfig()` Get configuration of JVZ compression.
    `void` | `init()` Initialize and reset resource.
    `boolean` | `isEnabledCompress()` Get flag if geometry files shall be compressed in ZIP format.
    `boolean` | `isEnabledConfigDisplay()` Get flag if settings of display inspector may be overwritten.
    `boolean` | `isEnabledSaveAsFloat()` Get flag if double numbers are converted to floats when saving.
    `void` | `ok()` Export geometry or scene to specified files.
    `void` | `setAuthorInfo(PsAuthorInfo authorInfo)` Set author information.
    `void` | `setBaseFileName(java.lang.String baseFileName)` Set base file name of saved file which have been exported by a user.
    `void` | `setDataFields(int[] dataFormat)` Set array of all geometry file formats to be offered to export.
    `void` | `setDirectory(java.lang.String baseDirectory)` Set directory of saved file which have been exported by a user.
    `void` | `setEnabledCompress(boolean flag)` Set flag if geometry files shall be compressed in ZIP format.
    `void` | `setEnabledConfigDisplay(boolean bConfigImage)` Set flag if settings of display inspector may be overwritten.
    `void` | `setEnabledSaveAsFloat(boolean flag)` Set flag if double numbers are converted to floats when saving.
    `void` | `setExportedDataFields(int[] fields)` Set array of all data fields which are currently selected for export.
    `void` | `setExportedFiles(int[] exportedFile)` Set array of files which are enabled for or have been exported by a user.
    `void` | `setGeometryInfo(PsGeometryInfo geometryInfo)` Set geometry information.
    `void` | `setGeomFormat(int[] geomFormat)` Set array of all geometry file formats to be offered to export.
    `void` | `setImageFormat(int[] imageFormat)` Set array of all geometry file formats to be offered to export.
    `void` | `setImageSuffix(java.lang.String imageSuffix)` Set additional suffix of image files.
    `void` | `setImageType(int type)` Set size type of image, like IMAGE_SIZE_SCRN.
    `void` | `setJvzConfig(PsJvzConfig jvzConfig)` Set configuration of JVZ compression.
    `void` | `setMode(int mode)` Sets the mode in which this workshop runs.
    `void` | `setViewer(PvViewerIf viewer)` Set the viewer and ask for recent geometry file.
    `boolean` | `update(java.lang.Object event)` Updates the geometry if this workshop has changed, i.e. if the event is `this` or `null`.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, removeGeometry, reset, setDisplay, setDisplays, setGeometry, setModal, setStandalone`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Field Detail

    - #### FILE_SIZE_USER

          public static final int FILE_SIZE_USER

      See Also:
        Constant Field Values

    - #### FILE_SIZE_SCRN

          public static final int FILE_SIZE_SCRN

      See Also:
        Constant Field Values

    - #### FILE_SIZE_PAL

          public static final int FILE_SIZE_PAL

      See Also:
        Constant Field Values

    - #### FILE_SIZE_NTSC

          public static final int FILE_SIZE_NTSC

      See Also:
        Constant Field Values

    - #### FILE_SIZE_MED

          public static final int FILE_SIZE_MED

      See Also:
        Constant Field Values

    - #### FILE_SIZE_BOOK

          public static final int FILE_SIZE_BOOK

      See Also:
        Constant Field Values

    - #### FILE_SIZE_SGL

          public static final int FILE_SIZE_SGL

      See Also:
        Constant Field Values

    - #### FILE_SIZE_SML

          public static final int FILE_SIZE_SML

      See Also:
        Constant Field Values

    - #### FILE_SIZE_TINY

          public static final int FILE_SIZE_TINY

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_BYU

          public static final int FILE_FORMAT_BYU

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_DXF

          public static final int FILE_FORMAT_DXF

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_FE

          public static final int FILE_FORMAT_FE

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_JVX

          public static final int FILE_FORMAT_JVX

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_JVZ

          public static final int FILE_FORMAT_JVZ

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_MA

          public static final int FILE_FORMAT_MA

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_MGS

          public static final int FILE_FORMAT_MGS

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_MPL

          public static final int FILE_FORMAT_MPL

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_OBJ

          public static final int FILE_FORMAT_OBJ

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_OFF

          public static final int FILE_FORMAT_OFF

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_STL

          public static final int FILE_FORMAT_STL

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_U3D

          public static final int FILE_FORMAT_U3D

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_WRL

          public static final int FILE_FORMAT_WRL

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_GIF

          public static final int FILE_FORMAT_GIF

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_JPG

          public static final int FILE_FORMAT_JPG

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_PNG

          public static final int FILE_FORMAT_PNG

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_PPM

          public static final int FILE_FORMAT_PPM

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_EPS

          public static final int FILE_FORMAT_EPS

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_PS

          public static final int FILE_FORMAT_PS

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_JVD

          public static final int FILE_FORMAT_JVD

      See Also:
        Constant Field Values

    - #### GEOM_DATA_HEADER

          public static final int GEOM_DATA_HEADER

      See Also:
        Constant Field Values

    - #### GEOM_DATA_AUTHOR

          public static final int GEOM_DATA_AUTHOR

      See Also:
        Constant Field Values

    - #### GEOM_DATA_INFO

          public static final int GEOM_DATA_INFO

      See Also:
        Constant Field Values

    - #### GEOM_DATA_NORMALS

          public static final int GEOM_DATA_NORMALS

      See Also:
        Constant Field Values

    - #### GEOM_DATA_COLORS

          public static final int GEOM_DATA_COLORS

      See Also:
        Constant Field Values

    - #### GEOM_DATA_TEXTURE

          public static final int GEOM_DATA_TEXTURE

      See Also:
        Constant Field Values

    - #### GEOM_DATA_VECTORS

          public static final int GEOM_DATA_VECTORS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PsExportInfo

          public PsExportInfo()

  - ### Method Detail

    - #### init

          public void init()

      Initialize and reset resource.
      Overrides:
        `init` in class `PjWorkshop`

    - #### setViewer

          public void setViewer(PvViewerIf viewer)

      Set the viewer and ask for recent geometry file.
      Specified by:
        `setViewer` in interface `PjWorkshopIf`
      Overrides:
        `setViewer` in class `PjWorkshop`
      Since:
        JavaView 2.53

    - #### setMode

          public void setMode(int mode)

      Sets the mode in which this workshop runs. Allows to select a debugging type mode.
      Specified by:
        `setMode` in interface `PjWorkshopIf`
      Overrides:
        `setMode` in class `PjWorkshop`
      Parameters:
        `mode` - either MODE_STANDARD for standard mode, or MODE_BUG for debugging operations.
      Since:
        JavaView 3.97.005
      See Also:
        `PjWorkshopIf.MODE_STANDARD`

    - #### getImageType

          public int getImageType()

      Get size type of image, like IMAGE_SIZE_SCRN.

    - #### setImageType

          public void setImageType(int type)

      Set size type of image, like IMAGE_SIZE_SCRN.

    - #### getFileExtension

          public java.lang.String getFileExtension(int format)

      Get 3-character extension of a given file format.

    - #### getJvzConfig

          public PsJvzConfig getJvzConfig()

      Get configuration of JVZ compression.

    - #### setJvzConfig

          public void setJvzConfig(PsJvzConfig jvzConfig)

      Set configuration of JVZ compression.

    - #### isEnabledCompress

          public boolean isEnabledCompress()

      Get flag if geometry files shall be compressed in ZIP format.

    - #### setEnabledCompress

          public void setEnabledCompress(boolean flag)

      Set flag if geometry files shall be compressed in ZIP format.

    - #### isEnabledSaveAsFloat

          public boolean isEnabledSaveAsFloat()

      Get flag if double numbers are converted to floats when saving.

    - #### setEnabledSaveAsFloat

          public void setEnabledSaveAsFloat(boolean flag)

      Set flag if double numbers are converted to floats when saving.

    - #### isEnabledConfigDisplay

          public boolean isEnabledConfigDisplay()

      Get flag if settings of display inspector may be overwritten.

    - #### setEnabledConfigDisplay

          public void setEnabledConfigDisplay(boolean bConfigImage)

      Set flag if settings of display inspector may be overwritten.

    - #### getBaseFileName

          public java.lang.String getBaseFileName()

      Get base file name of saved file.

    - #### setBaseFileName

          public void setBaseFileName(java.lang.String baseFileName)

      Set base file name of saved file which have been exported by a user. The filename should not contain any dot '.',otherwise anything behind and including the first dot is ignored.

    - #### getDirectory

          public java.lang.String getDirectory()

      Get directory of saved file.

    - #### setDirectory

          public void setDirectory(java.lang.String baseDirectory)

      Set directory of saved file which have been exported by a user.

    - #### getImageSuffix

          public java.lang.String getImageSuffix()

      Get additional suffix of image files.

    - #### setImageSuffix

          public void setImageSuffix(java.lang.String imageSuffix)

      Set additional suffix of image files.

    - #### getExportedFiles

          public int[] getExportedFiles()

      Get array of files which are enabled for or have been exported by a user.

    - #### setExportedFiles

          public void setExportedFiles(int[] exportedFile)

      Set array of files which are enabled for or have been exported by a user.

    - #### getDataName

          public java.lang.String getDataName(int format)

      Get 3-character extension of a given file format.

    - #### getExportedDataFields

          public int[] getExportedDataFields()

      Get array of all data fields which are currently selected for export.

    - #### setExportedDataFields

          public void setExportedDataFields(int[] fields)

      Set array of all data fields which are currently selected for export.

    - #### getDataFields

          public int[] getDataFields()

      Get array of all data fields which are currently offered to export.

    - #### setDataFields

          public void setDataFields(int[] dataFormat)

      Set array of all geometry file formats to be offered to export.

    - #### getGeomFormat

          public int[] getGeomFormat()

      Get array of all geometry file formats which are currently offered to export.

    - #### setGeomFormat

          public void setGeomFormat(int[] geomFormat)

      Set array of all geometry file formats to be offered to export.

    - #### getImageFormat

          public int[] getImageFormat()

      Get array of all geometry file formats which are currently offered to export.

    - #### setImageFormat

          public void setImageFormat(int[] imageFormat)

      Set array of all geometry file formats to be offered to export.

    - #### getAuthorInfo

          public PsAuthorInfo getAuthorInfo()

      Get author information.

    - #### setAuthorInfo

          public void setAuthorInfo(PsAuthorInfo authorInfo)

      Set author information.

    - #### getGeometryInfo

          public PsGeometryInfo getGeometryInfo()

      Get geometry information.

    - #### setGeometryInfo

          public void setGeometryInfo(PsGeometryInfo geometryInfo)

      Set geometry information.

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PjWorkshop`
      Updates the geometry if this workshop has changed, i.e. if the event is `this` or `null`. Also propagates update() to superclass with the original argument event.

      Some subclasses may register themselves as update listener of the geometry of this workshop. In order to prevent an update loop, this method safely uses isUpdateSender() when updating the geometry.

      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PjWorkshop`
      Parameters:
        `event` - sender of this update.
      Returns:
        true if update was correctly handled by superclass.
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### ok

          public void ok()

      Export geometry or scene to specified files.
      Overrides:
        `ok` in class `PjWorkshop`

"

The software JavaView? is copyright protected. All Rights Reserved.
"